<template>
  <div>
    <ReviewList :reviews="reviews" class="ReviewList" @onUpdate="getReviews" />
  </div>
</template>

<script>
import ReviewList from "../components/review/ReviewList";
import axios from "axios";

export default {
  components: { ReviewList },
  data() {
    return {
      reviews: [],
      url: String(process.env.VUE_APP_API_URL)
    };
  },
  mounted() {
    this.getReviews();
  },
  methods: {
    getReviews() {
      axios
        .get(this.url + "reviews")
        .then((result) => (this.reviews = result.data));
    },
  },
};
</script>

<style scoped>
.ReviewList {
  width: 100%;
  float: left;
  padding: 20px;
  box-sizing: border-box;
}
</style>
